package SGN::View::Mason::Commands;
use strict;
use vars qw($m $c);
HTML::Mason::Component::FileBased->new(
'code' => sub {
use utf8; local $SGN::View::Mason::Commands::m = $HTML::Mason::Commands::m;
HTML::Mason::Exception::Params->throw
    ( error =>
      "Odd number of parameters passed to component expecting name/value pairs"
    ) if @_ % 2;
my ( $organism_tree, $show_org_add_form, $organism_add_uri, $organism_autocomplete_uri );
{
    my %pos;
    for ( my $x = 0; $x < @_; $x += 2 )
    {
        $pos{ $_[$x] } = $x + 1;
    }

    foreach my $arg ( qw( organism_tree organism_add_uri ) )
    {
        HTML::Mason::Exception::Params->throw
            ( error => "no value sent for required parameter '$arg'" )
                unless exists $pos{$arg};
    }
#line 12 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
    $organism_tree = $_[ $pos{'organism_tree'} ];
#line 14 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
     $show_org_add_form = exists $pos{'show_org_add_form'} ? $_[ $pos{'show_org_add_form'} ] :  0;
#line 16 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
    $organism_add_uri = $_[ $pos{'organism_add_uri'} ];
#line 17 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
     $organism_autocomplete_uri = exists $pos{'organism_autocomplete_uri'} ? $_[ $pos{'organism_autocomplete_uri'} ] :  '';
}
$m->debug_hook( $m->current_comp->path ) if ( HTML::Mason::Compiler::IN_PERL_DB() );

#line 10 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print( '
' );
#line 19 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print( '
<div style="margin: 20px auto">' );
#line 20 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->comp(   '/page/page_title.mas', title=>"The SOL-100 sequencing project"   
); #line 20 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print( '</div>

' );
#line 22 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->comp(   '/util/import_javascript.mas', classes=>[qw[ CXGN.Page.FormattingHelpers  jquery jqueryui popup]]   
); #line 22 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print( '

<script language="javascript">

  jQuery(function() {
     jQuery("#sol100_species").autocomplete({
	 source: \'' );
#line 28 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print(  $organism_autocomplete_uri  );
#line 28 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print( '\'
     });
  });
   	
</script>

<style>
  .infosectioncontent {
    text-align: justify;
    width: 680px;
  }
  
  .infosectioncontent blockquote {
    border: 1px solid #ccc;
    background: #feb;
    padding: 2em 3em;
    font-size: 105%;
    letter-spacing: 0.8px;
    width: 60%;
    margin: 1em 10em 1em 7.5em;
  }
  

</style>


' );
#line 54 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->comp( { content => sub {
#line 58 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print( '

<p>
The Solanaceae include more than 3000 species with wide adaptation, shape, chemistry, and distribution. Species of the family are of great agricultural, nutritional, horticultural and medicinal importance (e.g., potato, tomato, pepper, petunia and tobacco). This enormous diversity is contrasted by high conservation of gene order and content at the macro and micro syntenic levels. Solanaceae genomes can be genetically tied to a common framework linkage map, thus facilitating the identification of genes with homologous phenotypes in the different species. These features make Solanaceae an excellent taxon with which to address a central question in biology:
</p>

 <blockquote>How can a common set of genes/proteins give rise to such a wide range of morphologically and ecologically distinct species?</blockquote>


<p>
But also, studying the Solanaceae can generate answers to the currently highly relevant and urgent question:  
</p>

<blockquote>
How can a deeper understanding of the genetic basis of plant biodiversity be harnessed to better meet the needs of society in an environmentally friendly and sustainable manner?
</blockquote>

' );
#line 75 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
} }, '/page/info_section.mas',
  title         =>  'The questions',
  collapsible   => 1,
  collapsed     => 1,
 );
#line 75 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print( '

' );
#line 77 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->comp( { content => sub {
#line 81 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print( '


  <img style="margin: 0 0 10px 20px; display: block; float: right" src="/img/solproject_logo_100.png" />


  <p>
  The SOL community will create a common Solanaceae-based genomic
  framework that includes sequences and phenotypes of 100 genomes
  encompassing the phylogenetic diversity of the group. Specific
  objectives are to:
  </p>

  <ol>
     <li>
        Tie the available tomato, tobacco, potato and Asterid relatives
        coffee and Mimulus (monkey-flower) genome sequences to a common
        SOL physical and genetic map as well as other Asterid taxonomic
        groups, such as Antirrhinum, sweet potato and mint.
     </li>
     <li>
       Select 100 Solanaceae species and Asterid outgroups (SOL-100)
       that broadly span the evolutionary tree and reflect important
       human uses.
     </li>
     <li>
       Apply emerging novel genome sequencing technologies to SOL-100
       and link the sequences to the common SOL physical and genetic
       maps.
     </li>
     <li>
       Genetically map simple and complex phenotypes affecting chemical,
       morphological, yield and fitness-related traits in the SOL-100
       species.
     </li>
     <li>
       Construct bioinformatic vehicles to effectively access and
       utilize the information generated within SOL-100.
     </li>
     <li>
       Foster a broadly-based international community of interacting
       scientists committed to exploring and conserving natural
       biodiversity.
     </li>
  </ol>
' );
#line 126 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
} }, '/page/info_section.mas',
  title         =>  'The aim',
  collapsible   => 1,
  collapsed     => 0,
 );
#line 126 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print( '

' );
#line 128 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->comp( { content => sub {
#line 134 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print( '

' );
#line 136 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
if ( $show_org_add_form ){
$m->print( ' <style>
  #sol100_add_organism {
      width: 30em;
      border: 2px solid #aaa;
      margin-top: 2em;
      padding: 0 0 1em 1em;
      position: relative;
  }

  #sol100_add_organism div.boxtitle {
      margin-left: -1em;
      margin-top: -1.2em;
      padding-left: 0.2em;
      font-weight: bold;
      color: #333;
  }

 </style>
 <div id="sol100_add_organism">
    <div class="boxtitle">Authorized user</div>
    <h3>Add a SOL-100 organism</h3>
    <div>
      <form method="POST" name="sol100_add_form" action="' );
#line 159 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print(  $organism_add_uri  );
#line 159 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print( '">
        <input name="species" type="text" size="30" id="sol100_species" /><input type="submit" name="add_to_tree" onclick="add_to_tree()" value="Add to Tree" />
        <div style="font-size: 80%; margin-left: 1em; color: #333">type an organism name</div>
      </form>
    </div>
 </div>
' );
#line 165 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
}
$m->print( '
  <p>
  The tree below shows organisms that have been proposed for
  sequencing by the SOL-100 project. Highlighted species are already 
  being sequenced.
  </p>

  ' );
#line 173 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->comp(   '/organism/tree.mas', organism_tree => $organism_tree   
); #line 173 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print( '

' );
#line 175 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
} }, '/page/info_section.mas',
  title         =>  'SOL-100 Organisms',
  subtitle      => 'click on an organism name to see more details ',
  empty_message => 'Tree not available',
  collapsible   => 1,
  collapsed     => 0,
 );
#line 175 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print( '

' );
#line 177 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->comp( { content => sub {
#line 181 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print( '

  <p>
    The International SOL Genome Project (SOL) is a "virtual umbrella"
    organization for promoting, coordinating and actively seeking
    additional scientists, countries and funding agencies to participate
    in an expedition to understand, utilize and conserve natural
    biodiversity (see <a href="/solanaceae-project/">http://solgenomics.net/solanaceae-project/</a>). SOL
    includes scientists from more than 30 countries that are united and
    excited about the sustainable and equitable use of natural
    biodiversity in biological research, plant breeding and conservation
    of these resources for the future. The SOL community has sequenced
    both the tomato genome and the potato genome through grants from
    national funding agencies as well as international collaborative
    projects.
  </p>


  <b>Mathilde Causse, Jeanne Jacobs, Glenn Bryan, Harry Klee, Sanwen Huan, and Ren&eacute; Klein Lankhorst</b>

' );
#line 201 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
} }, '/page/info_section.mas',
  title         =>  'Who are we?',
  collapsible   => 1,
  collapsed     => 0,
 );
#line 201 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print( '

' );
#line 203 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->comp( { content => sub {
#line 203 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print( '
If you are sequencing a SOL-100 genome, please submit the genome to SGN. <br /><br /><b>Submission to SGN requires prior submission to <a href="http://ncbi.nlm.nih.gov">Genbank</a></b> and a <b><a href="http://www.ncbi.nlm.nih.gov/genomes/static/gprj_help.html#what_projectID">Genbank Project ID</a></b>. Please contact <a href="mailto:smtwhite@ncbi.nlm.nih.gov">Brian Smith-White</a> at Genbank or <a href="mailto:sgn-feedback@solgenomics.net">SGN</a> for more information.
' );
#line 205 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
} }, '/page/info_section.mas', title=>"Submit genome to SGN"
 );
#line 205 "/home/production/cxgn/sgn/mason/sequencing/sol100.mas"
$m->print( '



' );
;return;
},
'declared_args' => {
  '$organism_add_uri' => { default => undef },
  '$organism_autocomplete_uri' => { default => ' \'\'' },
  '$organism_tree' => { default => undef },
  '$show_org_add_form' => { default => ' 0' }
},
'load_time' => 1715150868,

)
;